Skip to main content
POST
cURL
Platform: Polymarket
Endpoint: POST /v2/semantic/retrieve/parameterized
Authentication: Bearer token

Query parameters

All requests use agent_id 556 (Polymarket Trades). Set filters inside params in the playground — all values must be strings.

Example Request

Example Response

Response Fields

Notes

Use Unix timestamps as strings for start_time and end_time. Combine them with market_slug for focused, time-bounded queries.
Use pagination for large datasets to avoid timeouts. The transaction_hash field can be used to verify any trade directly on-chain.
Combine multiple filters for sophisticated queries

Authorizations

Authorization
string
header
required

Your Falcon API key from the dashboard

Body

application/json
params
object
required

Query filter parameters. All values must be strings.

agent_id
enum<integer>
default:556

Polymarket Trades agent ID.

Available options:
556
pagination
object
formatter_config
object

Response

Success

timestamp
string
read-only
params
object
read-only

Echo of request filter parameters returned in the response.

pagination
object
read-only
data
object
read-only
request_id
string
read-only